export class UnauthorizedError extends Error {
  constructor(message: string = 'Пользователь не авторизован (401)') {
    super(message)
    this.name = 'UnauthorizedError'

    // Восстанавливаем цепочку прототипов (нужно для корректной работы instanceof в TS)
    Object.setPrototypeOf(this, UnauthorizedError.prototype)
  }
}
